# Test: Valid core agent with only required fields
# Expected: PASS
# Path context: src/core/agents/minimal-core-agent.agent.yaml

agent:
  metadata:
    id: minimal-test
    name: Minimal Test Agent
    title: Minimal Test
    icon: 🧪
    hasSidecar: false

  persona:
    role: Test agent with minimal configuration
    identity: I am a minimal test agent used for schema validation testing.
    communication_style: Clear and concise
    principles:
      - Validate schema requirements
      - Demonstrate minimal valid structure

  menu:
    - trigger: help
      description: Show help
      action: display_help
